<template>
    <div class="container">
        <div class="title-section">
            <p class="title">Dashboard Admin</p>
            <p class="icones">
                <button class="btn-admin"><img src="../../assets/svg/admin/bell.svg" class="icon-bell"></button>
                <button class="btn-admin"><img src="../../assets/svg/admin/message.svg" class="icon-message"></button>
            </p>
        </div>
        <div class="divider"></div>
        <div class="buttons-admin">
            <a :href="'/dashboard-admin-users'" class="btn">See all users</a>
            <a :href="'/dashboard-admin-projects'" class="btn">See all projects</a>
        </div>
    </div>
</template>

<script>
export default {
    name: 'DashboardAdmin',
    created() {
      document.title = "WebSandBox | Admin Dashboard";
    }
}
</script>

<style scoped>
.divider {
    border-top: solid 1px var(--color-primary-blue);
    height: 1px;
    padding-bottom: 2em;
}

.search-bar {
    width: 80%;
    height: 2.5em;
    margin-top: 0.5em;
    border: 3px solid rgba(189, 189, 189,0.2);
    background-color: rgba(189, 189, 189,0.2);
    border-radius: 25px;
}

.title-section {
    justify-content: space-between;
}

.icones {
    font-size: 24px;
}

table {
    width:96%;
    color:black;
    margin: 10px 20px;
    background-color: rgba(189, 189, 189,0.2);
}

tr {
    color:black;
}

th {
    color : var(--color-primary-pink);
    font-weight: bolder;
    height: 30px;
}

.btn-admin {
    background-color: transparent;
    border:transparent;
}

.icon-message {
    width: 40px;
}

.icon-bell {
    width: 38px;
}

.buttons-admin {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
}
</style>